[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSSetCommandText

Set the command-text of the dataset

## Declaration

Source position: db.pas line 1432

`procedure IProviderSupport.PSSetCommandText(`
`const CommandText: string`
`);`

## Arguments

`CommandText` |  | New SQL command to be used

## Description

PSSetCommandText sets the commandtext (SQL) statement that is executed by PSExecute or that is used to open the dataset.

## See also

PSExecute
PSGetCommandText
PSSetParams